SystemB.Timezone (JNA API)

com.sun.jna.platform.mac

## Class SystemB.Timezone

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.mac.SystemB.Timezone

- Enclosing interface:
    SystemB

      @Structure.FieldOrder(value={"tz_minuteswest","tz_dsttime"})
      public static class SystemB.Timezone
      extends Structure

  Time Zone

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `tz_dsttime`
    `int` | `tz_minuteswest`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Timezone()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tz_minuteswest

          public int tz_minuteswest

    - #### tz_dsttime

          public int tz_dsttime

  - ### Constructor Detail

    - #### Timezone

          public Timezone()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.